Package org.codehaus.classworlds

## Interface ClassRealm

All Known Implementing Classes:
  `ClassRealmAdapter`, `DefaultClassRealm`

    @Deprecated
    public interface ClassRealm

Deprecated.

Autonomous sub-portion of a `ClassWorld`.

This class most closed maps to the `ClassLoader` role from Java and in facts can provide a `ClassLoader` view of itself using `getClassLoader()`.

Author:
  bob mcwhirter, Jason van Zyl

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addConstituent​(java.net.URL constituent)` Deprecated.
`ClassRealm` `createChildRealm​(java.lang.String id)` Deprecated.
`void` `display()` Deprecated.
`java.util.Enumeration` `findResources​(java.lang.String name)` Deprecated.
`java.lang.ClassLoader` `getClassLoader()` Deprecated.
`java.net.URL[]` `getConstituents()` Deprecated.
`java.lang.String` `getId()` Deprecated.
`ClassRealm` `getParent()` Deprecated.
`java.net.URL` `getResource​(java.lang.String name)` Deprecated.
`java.io.InputStream` `getResourceAsStream​(java.lang.String name)` Deprecated.
`ClassWorld` `getWorld()` Deprecated.
`void` `importFrom​(java.lang.String realmId, java.lang.String pkgName)` Deprecated.
`java.lang.Class` `loadClass​(java.lang.String name)` Deprecated.
`ClassRealm` `locateSourceRealm​(java.lang.String className)` Deprecated.
`void` `setParent​(ClassRealm classRealm)` Deprecated.

### Method Detail

#### getId

    java.lang.String getId()

Deprecated.

#### getWorld

    ClassWorld getWorld()

Deprecated.

#### importFrom

    void importFrom​(java.lang.String realmId,
                    java.lang.String pkgName)
             throws NoSuchRealmException

Deprecated.

Throws:
  `NoSuchRealmException`

#### addConstituent

    void addConstituent​(java.net.URL constituent)

Deprecated.

#### locateSourceRealm

    ClassRealm locateSourceRealm​(java.lang.String className)

Deprecated.

#### setParent

    void setParent​(ClassRealm classRealm)

Deprecated.

#### createChildRealm

    ClassRealm createChildRealm​(java.lang.String id)
                         throws DuplicateRealmException

Deprecated.

Throws:
  `DuplicateRealmException`

#### getClassLoader

    java.lang.ClassLoader getClassLoader()

Deprecated.

#### getParent

    ClassRealm getParent()

Deprecated.

#### getConstituents

    java.net.URL[] getConstituents()

Deprecated.

#### loadClass

    java.lang.Class loadClass​(java.lang.String name)
                       throws java.lang.ClassNotFoundException

Deprecated.

Throws:
  `java.lang.ClassNotFoundException`

#### getResource

    java.net.URL getResource​(java.lang.String name)

Deprecated.

#### findResources

    java.util.Enumeration findResources​(java.lang.String name)
                                 throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### getResourceAsStream

    java.io.InputStream getResourceAsStream​(java.lang.String name)

Deprecated.

#### display

    void display()

Deprecated.